import 'package:shared_preferences/shared_preferences.dart';
import '../dio.dart';
import 'login-model.dart';
import 'dart:convert' as convert;
import 'package:http/http.dart' as http;
import 'dart:io';

class LoginService {
  int status;
  LoginModel loginModel;
  LoginModel loginResposta = new LoginModel();

  Future<int> checaLogin(LoginModel loginModel) async {
    String url = "http://new-sigws.intranet.uema.br/api/v1/login";
    var dio = CustomDio().instance;

    return dio.post(url, data: {
      'login': loginModel.login,
      'senha': loginModel.senha
    }).then((res) async {
      SharedPreferences prefs = await SharedPreferences.getInstance();
      await prefs.setString('token', res.data['token']);
      status = res.statusCode;

      // loginResposta=LoginModel.fromMap(convert.jsonDecode(res.data));
      print(res.data['token']);
      return status;
    }).catchError((err) {
      return 404;
    });
  }
}
