import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class TopoHome extends StatelessWidget {
  /***
   * Classe para retornar o topo da página de dados
   */
  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(horizontal:MediaQuery.of(context).size.width * 0.025),
      width: MediaQuery.of(context).size.width,
      child: Column(
        children: [
          Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: <Widget>[
              new Image(
                image: new AssetImage("assets/img/topo-progep.png"),
                height: MediaQuery.of(context).size.height * 0.08,
              ),
              new Image(
                image: new AssetImage("assets/img/logo_uema.png"),
                height: MediaQuery.of(context).size.height * 0.08,
              ),
            ],
          ),
          SizedBox(height: MediaQuery.of(context).size.height * 0.015,),
          Text(
            "CARTEIRA DE IDENTIDADE FUNCIONAL",
            textAlign: TextAlign.center,
            style: TextStyle(
                fontFamily: 'Poppins',
                fontSize: MediaQuery.of(context).size.width * 0.055,
                color: Colors.black54,
                fontWeight: FontWeight.bold),
          ),
        ],
      ),
    );
  }
}
