import 'dart:async';

import 'package:flutter/material.dart';
import 'package:uema_iduema/src/login/login-view.dart';
import 'package:uema_iduema/src/tema/background.dart' as Tema;

class SplashScreen extends StatefulWidget {
  @override
  _SplashScreenState createState() => _SplashScreenState();
}

class _SplashScreenState extends State<SplashScreen> {
  
  @override
  void initState() {
    // TODO: implement initState
    super.initState();
    Timer(Duration(seconds: 3), () {
      Navigator.pushReplacement(
        context,
        MaterialPageRoute(builder: (context) => LoginView()),
      );
    });
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(gradient: Tema.Background.gradientePrimario),
      child: Center(
        child: Image.asset("assets/img/logo_idUema.png", height: MediaQuery.of(context).size.height * 0.4,)
      ),
    );
  }
}